All pages
Powered by GitBook
1 of 1

Loading...

Add feedback attachment

Add attachments to an existing feedback entry

post

Accepts multipart form data with attachment files.

Path parameters
feedbackIdstringRequired

The feedback ID.

Body
namestringOptional

Attachment name

descriptionstringOptional

Attachment description

filestring · binaryOptional

Attachment File

filestring · binaryOptional
Responses
201

Created

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
iconstring · nullableOptional
revisioninteger · int32Optional
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
descriptionstring · nullableOptional

Gets or sets the description associated with the feedback.

idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
ratinginteger · int32 · nullableOptional

Gets or sets the rating associated with the feedback.

notesstring · nullableOptional

Gets or sets the notes associated with the feedback.

internalNotesstring · nullableOptional

Gets or sets the internal notes associated with the feedback.

externalIdstring · nullableOptional

Gets or sets the externalId associated with the feedback.

metaDataany · nullableOptional

Gets the metadata as a JSON document (read-only).

idstringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
descriptionstring · nullableOptional

Gets or sets the description associated with the feedback.

idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
ratinginteger · int32 · nullableOptional

Gets or sets the rating associated with the feedback.

notesstring · nullableOptional

Gets or sets the notes associated with the feedback.

internalNotesstring · nullableOptional

Gets or sets the internal notes associated with the feedback.

externalIdstring · nullableOptional

Gets or sets the externalId associated with the feedback.

metaDataany · nullableOptional

Gets the metadata as a JSON document (read-only).

attachmentsobject · FeedbackAttachmentRef[] · nullableOptional
⤷Circular reference to object · FeedbackAttachmentRef[]
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
filenamestringOptional

Represents the name of the file associated with the attachment.

Example: report.pdf
sizeinteger · int64 · nullableOptional

Indicates the size of the file in bytes.

Example: 102400
contentTypestringOptional

Represents the MIME type of the file content.

Example: application/pdf
namestringOptional

Represents the name this attachment.

descriptionstring · nullableOptional

Represents the description this attachment.

statusstring · enumOptionalPossible values:
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
filenamestringOptional

Represents the name of the file associated with the attachment.

Example: report.pdf
sizeinteger · int64 · nullableOptional

Indicates the size of the file in bytes.

Example: 102400
contentTypestringOptional

Represents the MIME type of the file content.

Example: application/pdf
namestringOptional

Represents the name this attachment.

descriptionstring · nullableOptional

Represents the description this attachment.

400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
403

Forbidden

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
500

Internal Server Error

No content

post/public/v1/helpdesk/feedback/{feedbackId}/attachments
POST /public/v1/helpdesk/feedback/{feedbackId}/attachments HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: multipart/form-data
Accept: */*
Content-Length: 83

{
  "attachment": {
    "name": "text",
    "description": "text",
    "file": "binary"
  },
  "file": "binary"
}
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "deleted": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "icon": "text",
  "revision": 1,
  "feedback": {
    "id": "text",
    "audit": {
      "created": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "updated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      }
    },
    "$meta": {
      "omitted": [
        "text"
      ]
    },
    "name": "text",
    "icon": "text",
    "revision": 1,
    "description": "text",
    "requester": {
      "id": "text",
      "name": "text",
      "icon": "text",
      "revision": 1
    },
    "account": {
      "id": "text",
      "name": "text",
      "icon": "text",
      "revision": 1,
      "type": "Client",
      "status": "Active"
    },
    "status": "Submitted",
    "rating": 1,
    "notes": "text",
    "internalNotes": "text",
    "externalId": "text",
    "metaData": null,
    "attachments": [
      {
        "id": "text",
        "icon": "text",
        "revision": 1,
        "feedback": "[Circular Reference]",
        "file": {
          "id": "text",
          "audit": {
            "created": {
              "at": "2026-01-01T00:00:00.000Z",
              "by": {
                "id": "text",
                "name": "text",
                "icon": "text",
                "revision": 1
              }
            },
            "updated": {
              "at": "2026-01-01T00:00:00.000Z",
              "by": {
                "id": "text",
                "name": "text",
                "icon": "text",
                "revision": 1
              }
            }
          },
          "$meta": {
            "omitted": [
              "text"
            ]
          },
          "name": "text",
          "icon": "text",
          "revision": 1,
          "type": "Icon",
          "filename": "report.pdf",
          "size": 102400,
          "contentType": "application/pdf"
        },
        "name": "text",
        "description": "text"
      }
    ]
  },
  "status": "Active",
  "file": {
    "id": "text",
    "audit": {
      "created": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "updated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      }
    },
    "$meta": {
      "omitted": [
        "text"
      ]
    },
    "name": "text",
    "icon": "text",
    "revision": 1,
    "type": "Icon",
    "filename": "report.pdf",
    "size": 102400,
    "contentType": "application/pdf"
  },
  "name": "text",
  "description": "text"
}